SDL_hid_read(3)

NAME
SDL_hid_read - Read an Input report from a HID device.

SYNOPSIS
#include <SDL3/SDL_hidapi.h>

int SDL_hid_read(SDL_hid_device *dev, unsigned char *data, size_t length);

DESCRIPTION
Input reports are returned to the host through the INTERRUPT IN endpoint. The first byte will contain the Report number if the device uses numbered reports.

FUNCTION PARAMETERS

dev a device handle returned from SDL_hid_open().

data
    a buffer to put the read data into.

length
    the number of bytes to read. For devices with multiple reports, make sure to read an extra byte for the report number.

RETURN VALUE
Returns the actual number of bytes read and -1 on failure; call SDL_GetError() for more information. If no packet was available to be read and the handle is in non-blocking mode, this function returns 0.

AVAILABILITY
This function is available since SDL 3.2.0.